FTGL 2.4.0

Data Structures | Macros | Functions
FTGLOutlineFont.h File Reference
`#include <FTGL/ftgl.h>`
Include dependency graph for FTGLOutlineFont.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Data Structures
class | FTOutlineFont
| FTOutlineFont is a specialisation of the FTFont class for handling Vector Outline fonts. More...

## Macros
#define | FTGLOutlineFont FTOutlineFont

## Functions
FTGLfont * | ftglCreateOutlineFont (const char *file)
| Create a specialised FTGLfont object for handling vector outline fonts.
FTGLfont * | ftglCreateOutlineFontFromMem (const unsigned char *bytes, size_t len)
| Create a specialised FTGLfont object for handling vector outline fonts from a buffer in memory.

## Macro Definition Documentation

## ◆ FTGLOutlineFont

#define FTGLOutlineFont FTOutlineFont

Definition at line 84 of file FTGLOutlineFont.h.

## Function Documentation

## ◆ ftglCreateOutlineFont()

FTGLfont * ftglCreateOutlineFont | ( | const char * | file | ) |

Create a specialised FTGLfont object for handling vector outline fonts.

Parameters

  file | The font file name.

Returns
  An FTGLfont* object.

See also
  FTGLfont

References FTGL_EXPORT, and ftglCreateOutlineFont().

Referenced by ftglCreateOutlineFont().

## ◆ ftglCreateOutlineFontFromMem()

FTGLfont * ftglCreateOutlineFontFromMem | ( | const unsigned char * | bytes,
|  | size_t | len )

Create a specialised FTGLfont object for handling vector outline fonts from a buffer in memory.

Sets Error flag. The buffer is owned by the client and is NOT copied by FTGL. The pointer must be valid while using FTGL.

Parameters

  bytes | the in-memory buffer
  len | the length of the buffer in bytes

Returns
  An FTGLfont* object.

References FTGL_END_C_DECLS, FTGL_EXPORT, and ftglCreateOutlineFontFromMem().

Referenced by ftglCreateOutlineFontFromMem().